﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客ＦＡＸ登録用データコンテナクラス
    /// </summary>
    public class YCCustomerFaxContainer : YCDataContainer
    {
        public YCCustomerFaxContainer()
            : base()
        {
        }

        /// <summary>
        /// データ項目の作成
        /// </summary>
        protected override void CreateColumns()
        {
            this.AddColumn("顧客ＦＡＸコード", typeof(Guid));
            this.AddColumn("連絡先種別コード", typeof(string));
            this.AddColumn("ＦＡＸ番号", typeof(string));
            this.AddColumn("有効時間帯メモ", typeof(string));
            this.AddColumn("利用不可フラグ", typeof(int));
            this.AddColumn("備考", typeof(string));
        }

    }
}
