﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客グループ登録時の入力用コンテナクラス
    /// </summary>
    public class YCCustomerGroupEntryContainer : YCDataContainer
    {
        public YCCustomerGroupEntryContainer()
            : base()
        {
        }

        /// <summary>
        /// データ項目の作成
        /// </summary>
        protected override void CreateColumns()
        {
            this.AddColumn("顧客グループコード", typeof(string));
            this.AddColumn("顧客グループ名", typeof(string));
            this.AddColumn("プライオリティ", typeof(int));
        }
    }
}
