﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客メール登録用データコンテナクラス
    /// </summary>
    class YCCustomerMailContainer : YCDataContainer
    {
        public YCCustomerMailContainer()
            : base()
        {
        }

        /// <summary>
        /// データ項目の作成
        /// </summary>
        protected override void CreateColumns()
        {
            this.AddColumn("顧客メールコード", typeof(Guid));
            this.AddColumn("連絡先種別コード", typeof(string));
            this.AddColumn("メール種別コード", typeof(string));
            this.AddColumn("メールアドレス", typeof(string));
            this.AddColumn("グループ一括メールフラグ", typeof(int));
            this.AddColumn("備考", typeof(string));
        }

    }
}
