﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客電話登録用データコンテナクラス
    /// </summary>
    public class YCCustomerTelephoneContainer : YCDataContainer
    {
        public YCCustomerTelephoneContainer()
            : base()
        {
        }

        /// <summary>
        /// データ項目の作成
        /// </summary>
        protected override void CreateColumns()
        {
            this.AddColumn("顧客電話コード", typeof(Guid));
            this.AddColumn("連絡先種別コード", typeof(string));
            this.AddColumn("電話種別コード", typeof(string));
            this.AddColumn("電話番号", typeof(string));
            this.AddColumn("有効時間帯メモ", typeof(string));
            this.AddColumn("利用不可フラグ", typeof(int));
            this.AddColumn("備考", typeof(string));
        }
    }
}
