﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 職種マスタ登録用リスト
    /// </summary>
    public class YCOccupationTypeList : YCDbList
    {
        public YCOccupationTypeList(YCConnection connectin)
            : base(connectin)
        {
        }

        //保存可
        public override bool AllowSave
        {
            get
            {
                return true;
            }
        }

        //SELECT文
        protected override string MakeSQLSelect(System.Data.Common.DbParameterCollection parameters)
        {
            string sql = "SELECT Ｍ職種.職種コード, Ｍ職種.職種名, Ｍ職種.プライオリティ";
            sql += " FROM Ｍ職種";
            sql += " ORDER BY Ｍ職種.職種コード;";

            return sql;
        }

        //行の初期化
        protected override void InitializeNewRow(System.Data.DataRow newRow)
        {
            newRow["プライオリティ"] = 0;
        }

    }
}
