﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 一般ユーザメニュー
    /// </summary>
    public partial class frmOrdinaryUserMenu : YCMenuForm
    {
        public frmOrdinaryUserMenu()
        {
            InitializeComponent();
        }

        #region データ登録

        private void cmd_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客登録
                YCCommandEntry.OpenSearchCustomerNameList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenCustomerGroupEntryList_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客グループ登録
                YCCommandEntry.OpenCustomerGroupEntryList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        #endregion

        #region ツール

        private void cmdOpenCustomerList_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客リスト表示
                YCCommandTools.OpenCustomerList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenCustomerGroupMail_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客グループメール送信表示
                YCCommandTools.OpenCustomerGroupMail();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        #endregion

    }
}
