﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 業種マスタ登録用リスト
    /// </summary>
    public class YCBusinessTypeList : YCDbList
    {
        public YCBusinessTypeList(YCConnection connection)
            : base(connection)
        {
        }

        //保存可
        public override bool AllowSave
        {
            get
            {
                return true;
            }
        }

        //SELECT文
        protected override string MakeSQLSelect(System.Data.Common.DbParameterCollection parameters)
        {
            string sql = "SELECT Ｍ業種.業種コード, Ｍ業種.業種名, Ｍ業種.プライオリティ";
            sql += " FROM Ｍ業種";
            sql += " ORDER BY Ｍ業種.業種コード;";

            return sql;
        }

        //行の初期化
        protected override void InitializeNewRow(System.Data.DataRow newRow)
        {
            newRow["プライオリティ"] = 0;
        }
    }
}
