﻿using System;
using System.Collections.Generic;
using System.Text;

namespace YMyCustomer
{
    /// <summary>
    /// YWorks Softwareのライセンスキーのクラス
    /// <para>YWorks Software FrameworkのキーとYWorks Software SMTPライブラリのキーを取得した場合はこのクラスに設定して下さい。 </para>
    /// </summary>
    public abstract class YCLicenseKeys
    {
        /// <summary>
        /// YWorks Software Framework3.5用のYWorksキー
        /// <para>キーは下記より購入できます。</para>
        /// <para>http://www.vector.co.jp/soft/winnt/prog/se451903.html</para>
        /// </summary>
        public static string FrameworkKey
        {
            get
            {
                //取得したYWorks Software Framework3.5用のYWorksキーを返します。
                return string.Empty;
            }
        }

        /// <summary>
        /// YWorks Software SMPTライブラリ用のYWorksキー
        /// <para>キーは下記より購入できます。</para>
        /// <para>http://www.vector.co.jp/soft/winnt/prog/se472162.html</para>
        /// </summary>
        public static string SmtpKey
        {
            get
            {
                //取得したYWorks Software SMPTライブラリ用のYWorksキーを返します。
                return string.Empty;
            }
        }

    }
}
