﻿using System;
using System.Collections.Generic;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// ログオン処理クラス
    /// </summary>
    public class YCLogon : YCLogonBase
    {
        public YCLogon()
            : base()
        {
        }

        //アプリケーションのユーザの型を返します。
        public override Type UserType
        {
            get
            {
                return typeof(YCUser);
            }
        }

        //ログオン認証の際にユーザＩＤ・パスワード以外の条件を返します。
        //必要ない場合は空文字を返してください。
        protected override string LogonCondition
        {
            get
            {
                //throw new YCException("YCLogon.LogonConditionを実装してください。");
                
                //下記はサンプル
                return "削除フラグ = 0 OR 削除フラグ IS NULL";
            }
        }
    }
}
