﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// メール送信用のメールアカウントリスト
    /// </summary>
    public class YCMailAccountList : YCDbList
    {
        public YCMailAccountList(YCConnection connection)
            : base(connection)
        {
        }


        //保存可
        public override bool AllowSave
        {
            get
            {
                return true;
            }
        }

        //SELECT文
        protected override string MakeSQLSelect(System.Data.Common.DbParameterCollection parameters)
        {
            string sql = "SELECT Ｍメールアカウント.メールアカウントコード, Ｍメールアカウント.メールアカウント名";
            sql += ", Ｍメールアカウント.アカウントＩＤ, Ｍメールアカウント.パスワード";
            sql += ", Ｍメールアカウント.メールアドレス, Ｍメールアカウント.メールアドレス表示名";
            sql += ", Ｍメールアカウント.ＳＭＴＰサーバ, Ｍメールアカウント.ＳＭＴＰポート";
            sql += ", Ｍメールアカウント.ＳＭＴＰ認証フラグ";
            sql += ", Ｍメールアカウント.ＳＭＴＰ認証アカウントＩＤ, Ｍメールアカウント.ＳＭＴＰ認証パスワード";
            sql += ", Ｍメールアカウント.プライオリティ";
            sql += " FROM Ｍメールアカウント";
            sql += " ORDER BY Ｍメールアカウント.プライオリティ;";

            return sql;
        }

        //行の初期化
        protected override void InitializeNewRow(System.Data.DataRow newRow)
        {
            newRow["ＳＭＴＰポート"] = 25;
            newRow["ＳＭＴＰ認証フラグ"] = 0;
            newRow["プライオリティ"] = 0;
        }
    }
}
