﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客グループ登録用データコンテナダイアログ
    /// </summary>
    public partial class dlgCustomerGroupEntryContainer : YCDataContainerDialog
    {
        public dlgCustomerGroupEntryContainer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// コントロールのバインド
        /// </summary>
        protected override void SetControlBindings()
        {
            this.BindControl(ctl顧客グループ名, "Text", "顧客グループ名");
            this.BindControl(ctlプライオリティ, "Value", "プライオリティ");
        }

        //イベント
        private void dlgCustomerGroupEntryContainer_Load(object sender, EventArgs e)
        {
            try
            {
                this.Initialize();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }
        
        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.EndEdit();

                this.DialogResult = DialogResult.OK;
                this.Close();

            }
            catch (Exception err)
            {
                YCCursor.Default();
                YCMessageBox.ShowErrorMessage(err.Message);

                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

    }
}
